List private evidence attached to one pending merchant registration
curl --request GET \
--url https://api-test.drop-hub.com/v2/account-registrations/{registrationId}/documents \
--header 'Registration-Upload-Capability: <registration-upload-capability>'import requests
url = "https://api-test.drop-hub.com/v2/account-registrations/{registrationId}/documents"
headers = {"Registration-Upload-Capability": "<registration-upload-capability>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Registration-Upload-Capability': '<registration-upload-capability>'}
};
fetch('https://api-test.drop-hub.com/v2/account-registrations/{registrationId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"documentType": "NATIONAL_ADDRESS",
"originalFilename": "<string>",
"contentType": "application/pdf",
"byteSize": 524288,
"uploadedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"version": 1
}
]{
"type": "https://api.drop-hub.com/problems/authentication-required",
"title": "Authentication required",
"status": 401,
"detail": "Authentication is required for this resource.",
"instance": "/v2/external/shipments/018f2d8a-1f00-7000-8000-000000000206",
"code": "AUTHENTICATION_REQUIRED",
"timestamp": "2026-08-22T18:30:00Z",
"correlationId": "018f2d8a-1f00-7000-8000-000000000207",
"requestId": "018f2d8a-1f00-7000-8000-000000000208"
}{
"type": "https://api.drop-hub.com/problems/access-denied",
"title": "Access denied",
"status": 403,
"detail": "Access to this resource is denied.",
"instance": "/v2/external/shipments/018f2d8a-1f00-7000-8000-000000000206",
"code": "ACCESS_DENIED",
"timestamp": "2026-08-22T18:30:00Z",
"correlationId": "018f2d8a-1f00-7000-8000-000000000207",
"requestId": "018f2d8a-1f00-7000-8000-000000000208"
}{
"type": "https://api.drop-hub.com/problems/access-denied",
"title": "Access denied",
"status": 403,
"detail": "Access to this resource is denied.",
"instance": "/v2/external/shipments/018f2d8a-1f00-7000-8000-000000000206",
"code": "ACCESS_DENIED",
"timestamp": "2026-08-22T18:30:00Z",
"correlationId": "018f2d8a-1f00-7000-8000-000000000207",
"requestId": "018f2d8a-1f00-7000-8000-000000000208"
}{
"type": "https://api.drop-hub.com/problems/access-denied",
"title": "Access denied",
"status": 403,
"detail": "Access to this resource is denied.",
"instance": "/v2/external/shipments/018f2d8a-1f00-7000-8000-000000000206",
"code": "ACCESS_DENIED",
"timestamp": "2026-08-22T18:30:00Z",
"correlationId": "018f2d8a-1f00-7000-8000-000000000207",
"requestId": "018f2d8a-1f00-7000-8000-000000000208"
}Authentication
List private evidence attached to one pending merchant registration
GET
/
v2
/
account-registrations
/
{registrationId}
/
documents
List private evidence attached to one pending merchant registration
Headers
Short-lived opaque secret scoped to exactly one pending merchant registration.
Minimum string length:
32Path Parameters
Response
Document metadata only; no content or asset URL is exposed
Available options:
NATIONAL_ADDRESS, COMMERCIAL_REGISTRATION, FREELANCE_CERTIFICATE Maximum string length:
180Available options:
application/pdf, image/jpeg, image/png Required range:
1 <= x <= 1048576Required range:
x >= 0⌘I
